html,
body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  height: 100%;
  background-color: #000000;
}

html,
body {
  touch-action: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  user-select: none;
  overflow: hidden;
  margin: 0;
  padding: 0;
}

canvas {
  display: block;
  margin: 0 auto;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

#p5_loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0, 0, 0);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

#loading-bar-container {
  width: 80%;
  max-width: 200px;
  height: 8px;
  position: absolute;
  bottom: 20%;
  background: transparent;
  overflow: hidden;
}

/* This is the actual white fill that grows */
#loading-bar {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 0%;
  background: #ffffff;
  transition: width 0.3s ease;
  z-index: 1001;
  /* Lower layer */
}

/* This is the transparent image sitting above */
#loading-overlay {
  position: absolute;
  height: 30px;
  width: 100%;
  top: 0;
  left: 0;
  object-fit: fill;
  pointer-events: none;
  z-index: 1002;
}

#loading-text {
  margin-top: 10px;
  font-family: sans-serif;
  font-size: 16px;
  color: #333;
}

.loading-gif {
  display: none;
  margin-right: 35px;
}

.loading-gif.active {
  display: none;
}




#loadingWrapper {
  width: 100vw;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #000000;
    /*background: linear-gradient(180deg, rgba(0, 0, 0, 1) 50%, rgba(26, 26, 26, 1) 120%, rgba(46, 46, 46, 1) 100%);*/
}

#load {
  display: block;
  height: 100vh;
}


#load-m {
  display: none;
  width: 100%;
}

/* Mobile styles */
@media only screen and (max-width: 768px) {
  #load {
    display: none;
  }
  
  #load-m {
    display: block;
  }

    .loading-gif {
      display: none;
      margin-right: 10px;
    }

    #loading-bar-container {
      width: 80%;
        max-width: 120px;
        height:5px;
        background: transparent;
        margin-top: 20px;
        overflow: hidden;
        position: absolute;
        bottom: 30%;
    }

}